Make standalone puppetmasters optionally use PuppetDB
Closed, ResolvedPublic

Description

Issues:

  • No Ganglia in Labs;
  • puppetmaster::puppetdb uses nginx, puppetmaster uses Apache, so separate hosts or if.
scfc created this task.Dec 18 2016, 7:02 AM
scfc updated the task description. (Show Details)Dec 25 2016, 6:52 AM
scfc updated the task description. (Show Details)

Change 329330 had a related patch set uploaded (by Tim Landscheidt):
puppetdb: Do not hardcode puppetmasters

https://gerrit.wikimedia.org/r/329330

scfc claimed this task.
scfc moved this task from Triage to In Progress on the Cloud-Services board.

Change 329330 merged by Giuseppe Lavagetto:
puppetdb: Do not hardcode puppetmasters

https://gerrit.wikimedia.org/r/329330

Change 340461 had a related patch set uploaded (by Tim Landscheidt):
[operations/puppet] puppet: Make standalone puppetmasters optionally use PuppetDB

https://gerrit.wikimedia.org/r/340461

scfc added a comment.Mar 1 2017, 4:49 AM

I'm pretty sure the patches work except that I can't get them to work on toolsbeta-puppetmaster7 due to some PostgreSQL hiccups (our puppetry for that is far too fragile for my taste). I'll set up a new puppetmaster and test that tomorrow.

scfc added a comment.Mar 1 2017, 4:49 AM

(… or anyone else can do that.)

I think on labs we can host it on the same instance as the puppetmaster. I got it working like that and reduces the complexity of this :).

we wont need nginx installed.

I got puppetdb working on the same host as the puppetmaster as it needs the same cert as the puppetmaster for puppetdb jetty.

Change 435631 had a related patch set uploaded (by BryanDavis; owner: Alex Monk):
[operations/puppet@production] Allow PuppetDB use on standalone puppetmasters

https://gerrit.wikimedia.org/r/435631

bd808 assigned this task to Krenair.Jul 12 2018, 11:58 PM
bd808 added subscribers: Krenair, chasemp, bd808.

Assigning to @Krenair as he has patches in gerrit that have made this work for the deployment-prep project that I believe are ready to be merged. Maybe @chasemp can find some time at the upcoming Wikimania-Hackathon-2018 to give them a final review?

Change 435631 merged by Bstorm:
[operations/puppet@production] Allow PuppetDB use on standalone puppetmasters

https://gerrit.wikimedia.org/r/435631

Krenair closed this task as Resolved.Aug 6 2018, 10:44 AM